Bug 521314 - rhnpush support for sha256
Summary: rhnpush support for sha256
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: RHN Stable
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard: US37
Depends On:
Blocks: 519193 rhn-sprint31
TreeView+ depends on / blocked
 
Reported: 2009-09-04 18:12 UTC by James Bowes
Modified: 2013-01-10 10:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 12:49:39 UTC


Attachments (Terms of Use)

Description James Bowes 2009-09-04 18:12:37 UTC
When a package is uploaded to rhn via rhnpush, the database should be populated with both the package's md5sum, and its sha256sum

Comment 1 James Bowes 2009-09-10 17:42:22 UTC
Note: this work does not include support for source rpm uploads, nor does it include populating sha*sums of files in the rpm.

Comment 2 James Bowes 2009-09-10 17:46:13 UTC
To Test, run rhnpush with at least the following different setups:
 * push an unsigned rpm to a channel with the --nosig flag
 * push a signed rpm to a channel.
 * sign your unsigned rpm, and push. it should fail with mismatched md5sum. push 
   again with --force. it should overwrite the old rpm.

After pushing these all, you should be able to see both md5sum and sha256sum on the rpm's details page.

Comment 3 Denise Hughes 2009-10-06 17:50:42 UTC
Verified on webdev.

Testopia ID:
https://testopia.devel.redhat.com/bugzilla/tr_show_case.cgi?case_id=12328


Note You need to log in before you can comment on or make changes to this bug.